{-# LANGUAGE CPP #-}
module Control.Instances.Package.Base () where
#ifdef MIN_VERSION_base
#if MIN_VERSION_base(4,10,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fail ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.IO.Class ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Strict ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.Zip ()
import Data.Bifoldable ()
import Data.Bifunctor ()
import Data.Bitraversable ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Coerce ()
import Data.Complex ()
import Data.Data ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.Functor.Classes ()
import Data.Functor.Compose ()
import Data.Functor.Const ()
import Data.Functor.Identity ()
import Data.Functor.Product ()
import Data.Functor.Sum ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.Kind ()
import Data.List ()
import Data.List.NonEmpty ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Proxy ()
import Data.Ratio ()
import Data.Semigroup ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Type.Bool ()
import Data.Type.Coercion ()
import Data.Type.Equality ()
import Data.Typeable ()
import Data.Unique ()
import Data.Version ()
import Data.Void ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.Concurrent ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Unsafe ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import GHC.Arr ()
import GHC.Base ()
import GHC.Char ()
import GHC.Conc ()
import GHC.Conc.IO ()
import GHC.Conc.Signal ()
import GHC.Conc.Sync ()
import GHC.ConsoleHandler ()
import GHC.Constants ()
import GHC.Desugar ()
import GHC.Enum ()
import GHC.Environment ()
import GHC.Err ()
import GHC.Exception ()
import GHC.ExecutionStack ()
import GHC.ExecutionStack.Internal ()
import GHC.Exts ()
import GHC.Fingerprint ()
import GHC.Fingerprint.Type ()
import GHC.Float ()
import GHC.Float.ConversionUtils ()
import GHC.Float.RealFracMethods ()
import GHC.Foreign ()
import GHC.ForeignPtr ()
import GHC.GHCi ()
import GHC.Generics ()
import GHC.IO ()
import GHC.IO.Buffer ()
import GHC.IO.BufferedIO ()
import GHC.IO.Device ()
import GHC.IO.Encoding ()
import GHC.IO.Encoding.CodePage ()
import GHC.IO.Encoding.Failure ()
import GHC.IO.Encoding.Iconv ()
import GHC.IO.Encoding.Latin1 ()
import GHC.IO.Encoding.Types ()
import GHC.IO.Encoding.UTF16 ()
import GHC.IO.Encoding.UTF32 ()
import GHC.IO.Encoding.UTF8 ()
import GHC.IO.Exception ()
import GHC.IO.FD ()
import GHC.IO.Handle ()
import GHC.IO.Handle.FD ()
import GHC.IO.Handle.Internals ()
import GHC.IO.Handle.Lock ()
import GHC.IO.Handle.Text ()
import GHC.IO.Handle.Types ()
import GHC.IO.IOMode ()
import GHC.IO.Unsafe ()
import GHC.IOArray ()
import GHC.IORef ()
import GHC.Int ()
import GHC.List ()
import GHC.MVar ()
import GHC.Natural ()
import GHC.Num ()
import GHC.OldList ()
import GHC.OverloadedLabels ()
import GHC.PArr ()
import GHC.Pack ()
import GHC.Profiling ()
import GHC.Ptr ()
import GHC.Read ()
import GHC.Real ()
import GHC.Records ()
import GHC.RTS.Flags ()
import GHC.ST ()
import GHC.StaticPtr ()
import GHC.STRef ()
import GHC.Show ()
import GHC.Stable ()
import GHC.Stack ()
import GHC.Stack.CCS ()
import GHC.Stack.Types ()
import GHC.Stats ()
import GHC.Storable ()
import GHC.TopHandler ()
import GHC.TypeLits ()
import GHC.TypeNats ()
import GHC.Unicode ()
import GHC.Weak ()
import GHC.Word ()
import Numeric ()
import Numeric.Natural ()
import Prelude ()
import System.CPUTime ()
import System.Console.GetOpt ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import System.Timeout ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Type.Reflection ()
import Type.Reflection.Unsafe ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,9,1)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fail ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.IO.Class ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Strict ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.Zip ()
import Data.Bifunctor ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Coerce ()
import Data.Complex ()
import Data.Data ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.Functor.Classes ()
import Data.Functor.Compose ()
import Data.Functor.Const ()
import Data.Functor.Identity ()
import Data.Functor.Product ()
import Data.Functor.Sum ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.Kind ()
import Data.List ()
import Data.List.NonEmpty ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Proxy ()
import Data.Ratio ()
import Data.Semigroup ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Type.Bool ()
import Data.Type.Coercion ()
import Data.Type.Equality ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Void ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.Concurrent ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Unsafe ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import GHC.Arr ()
import GHC.Base ()
import GHC.Char ()
import GHC.Conc ()
import GHC.Conc.IO ()
import GHC.Conc.Signal ()
import GHC.Conc.Sync ()
import GHC.ConsoleHandler ()
import GHC.Constants ()
import GHC.Desugar ()
import GHC.Enum ()
import GHC.Environment ()
import GHC.Err ()
import GHC.Exception ()
import GHC.ExecutionStack ()
import GHC.ExecutionStack.Internal ()
import GHC.Exts ()
import GHC.Fingerprint ()
import GHC.Fingerprint.Type ()
import GHC.Float ()
import GHC.Float.ConversionUtils ()
import GHC.Float.RealFracMethods ()
import GHC.Foreign ()
import GHC.ForeignPtr ()
import GHC.GHCi ()
import GHC.Generics ()
import GHC.IO ()
import GHC.IO.Buffer ()
import GHC.IO.BufferedIO ()
import GHC.IO.Device ()
import GHC.IO.Encoding ()
import GHC.IO.Encoding.CodePage ()
import GHC.IO.Encoding.Failure ()
import GHC.IO.Encoding.Iconv ()
import GHC.IO.Encoding.Latin1 ()
import GHC.IO.Encoding.Types ()
import GHC.IO.Encoding.UTF16 ()
import GHC.IO.Encoding.UTF32 ()
import GHC.IO.Encoding.UTF8 ()
import GHC.IO.Exception ()
import GHC.IO.FD ()
import GHC.IO.Handle ()
import GHC.IO.Handle.FD ()
import GHC.IO.Handle.Internals ()
import GHC.IO.Handle.Text ()
import GHC.IO.Handle.Types ()
import GHC.IO.IOMode ()
import GHC.IO.Unsafe ()
import GHC.IOArray ()
import GHC.IORef ()
import GHC.Int ()
import GHC.List ()
import GHC.MVar ()
import GHC.Natural ()
import GHC.Num ()
import GHC.OldList ()
import GHC.OverloadedLabels ()
import GHC.PArr ()
import GHC.Pack ()
import GHC.Profiling ()
import GHC.Ptr ()
import GHC.Read ()
import GHC.Real ()
import GHC.RTS.Flags ()
import GHC.ST ()
import GHC.StaticPtr ()
import GHC.STRef ()
import GHC.Show ()
import GHC.Stable ()
import GHC.Stack ()
import GHC.Stack.CCS ()
import GHC.Stack.Types ()
import GHC.Stats ()
import GHC.Storable ()
import GHC.TopHandler ()
import GHC.TypeLits ()
import GHC.Unicode ()
import GHC.Weak ()
import GHC.Word ()
import Numeric ()
import Numeric.Natural ()
import Prelude ()
import System.CPUTime ()
import System.Console.GetOpt ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import System.Timeout ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,9,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fail ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.IO.Class ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Strict ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.Zip ()
import Data.Bifunctor ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Coerce ()
import Data.Complex ()
import Data.Data ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.Functor.Classes ()
import Data.Functor.Compose ()
import Data.Functor.Const ()
import Data.Functor.Identity ()
import Data.Functor.Product ()
import Data.Functor.Sum ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.Kind ()
import Data.List ()
import Data.List.NonEmpty ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Proxy ()
import Data.Ratio ()
import Data.Semigroup ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Type.Bool ()
import Data.Type.Coercion ()
import Data.Type.Equality ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Void ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.Concurrent ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Unsafe ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import GHC.Arr ()
import GHC.Base ()
import GHC.Char ()
import GHC.Conc ()
import GHC.Conc.IO ()
import GHC.Conc.Signal ()
import GHC.Conc.Sync ()
import GHC.ConsoleHandler ()
import GHC.Constants ()
import GHC.Desugar ()
import GHC.Enum ()
import GHC.Environment ()
import GHC.Err ()
import GHC.Exception ()
import GHC.ExecutionStack ()
import GHC.ExecutionStack.Internal ()
import GHC.Exts ()
import GHC.Fingerprint ()
import GHC.Fingerprint.Type ()
import GHC.Float ()
import GHC.Float.ConversionUtils ()
import GHC.Float.RealFracMethods ()
import GHC.Foreign ()
import GHC.ForeignPtr ()
import GHC.GHCi ()
import GHC.Generics ()
import GHC.IO ()
import GHC.IO.Buffer ()
import GHC.IO.BufferedIO ()
import GHC.IO.Device ()
import GHC.IO.Encoding ()
import GHC.IO.Encoding.CodePage ()
import GHC.IO.Encoding.Failure ()
import GHC.IO.Encoding.Iconv ()
import GHC.IO.Encoding.Latin1 ()
import GHC.IO.Encoding.Types ()
import GHC.IO.Encoding.UTF16 ()
import GHC.IO.Encoding.UTF32 ()
import GHC.IO.Encoding.UTF8 ()
import GHC.IO.Exception ()
import GHC.IO.FD ()
import GHC.IO.Handle ()
import GHC.IO.Handle.FD ()
import GHC.IO.Handle.Internals ()
import GHC.IO.Handle.Text ()
import GHC.IO.Handle.Types ()
import GHC.IO.IOMode ()
import GHC.IO.Unsafe ()
import GHC.IOArray ()
import GHC.IORef ()
import GHC.Int ()
import GHC.List ()
import GHC.MVar ()
import GHC.Natural ()
import GHC.Num ()
import GHC.OldList ()
import GHC.OverloadedLabels ()
import GHC.PArr ()
import GHC.Pack ()
import GHC.Profiling ()
import GHC.Ptr ()
import GHC.Read ()
import GHC.Real ()
import GHC.RTS.Flags ()
import GHC.ST ()
import GHC.StaticPtr ()
import GHC.STRef ()
import GHC.Show ()
import GHC.Stable ()
import GHC.Stack ()
import GHC.Stack.CCS ()
import GHC.Stack.Types ()
import GHC.Stats ()
import GHC.Storable ()
import GHC.TopHandler ()
import GHC.TypeLits ()
import GHC.Unicode ()
import GHC.Weak ()
import GHC.Word ()
import Numeric ()
import Numeric.Natural ()
import Prelude ()
import System.CPUTime ()
import System.Console.GetOpt ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import System.Timeout ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,8,2)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Strict ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.Zip ()
import Data.Bifunctor ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Coerce ()
import Data.Complex ()
import Data.Data ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.Functor.Identity ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Proxy ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Type.Bool ()
import Data.Type.Coercion ()
import Data.Type.Equality ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Void ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.Concurrent ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Unsafe ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import GHC.Arr ()
import GHC.Base ()
import GHC.Char ()
import GHC.Conc ()
import GHC.Conc.IO ()
import GHC.Conc.Signal ()
import GHC.Conc.Sync ()
import GHC.ConsoleHandler ()
import GHC.Constants ()
import GHC.Desugar ()
import GHC.Enum ()
import GHC.Environment ()
import GHC.Err ()
import GHC.Exception ()
import GHC.Exts ()
import GHC.Fingerprint ()
import GHC.Fingerprint.Type ()
import GHC.Float ()
import GHC.Float.ConversionUtils ()
import GHC.Float.RealFracMethods ()
import GHC.Foreign ()
import GHC.ForeignPtr ()
import GHC.GHCi ()
import GHC.Generics ()
import GHC.IO ()
import GHC.IO.Buffer ()
import GHC.IO.BufferedIO ()
import GHC.IO.Device ()
import GHC.IO.Encoding ()
import GHC.IO.Encoding.CodePage ()
import GHC.IO.Encoding.Failure ()
import GHC.IO.Encoding.Iconv ()
import GHC.IO.Encoding.Latin1 ()
import GHC.IO.Encoding.Types ()
import GHC.IO.Encoding.UTF16 ()
import GHC.IO.Encoding.UTF32 ()
import GHC.IO.Encoding.UTF8 ()
import GHC.IO.Exception ()
import GHC.IO.FD ()
import GHC.IO.Handle ()
import GHC.IO.Handle.FD ()
import GHC.IO.Handle.Internals ()
import GHC.IO.Handle.Text ()
import GHC.IO.Handle.Types ()
import GHC.IO.IOMode ()
import GHC.IOArray ()
import GHC.IORef ()
import GHC.IP ()
import GHC.Int ()
import GHC.List ()
import GHC.MVar ()
import GHC.Natural ()
import GHC.Num ()
import GHC.OldList ()
import GHC.PArr ()
import GHC.Pack ()
import GHC.Profiling ()
import GHC.Ptr ()
import GHC.Read ()
import GHC.Real ()
import GHC.RTS.Flags ()
import GHC.ST ()
import GHC.StaticPtr ()
import GHC.STRef ()
import GHC.Show ()
import GHC.SrcLoc ()
import GHC.Stable ()
import GHC.Stack ()
import GHC.Stats ()
import GHC.Storable ()
import GHC.TopHandler ()
import GHC.TypeLits ()
import GHC.Unicode ()
import GHC.Weak ()
import GHC.Word ()
import Numeric ()
import Numeric.Natural ()
import Prelude ()
import System.CPUTime ()
import System.Console.GetOpt ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import System.Timeout ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,8,1)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Strict ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.Zip ()
import Data.Bifunctor ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Coerce ()
import Data.Complex ()
import Data.Data ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.Functor.Identity ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Proxy ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Type.Bool ()
import Data.Type.Coercion ()
import Data.Type.Equality ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Void ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.Concurrent ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Unsafe ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import GHC.Arr ()
import GHC.Base ()
import GHC.Char ()
import GHC.Conc ()
import GHC.Conc.IO ()
import GHC.Conc.Signal ()
import GHC.Conc.Sync ()
import GHC.ConsoleHandler ()
import GHC.Constants ()
import GHC.Desugar ()
import GHC.Enum ()
import GHC.Environment ()
import GHC.Err ()
import GHC.Exception ()
import GHC.Exts ()
import GHC.Fingerprint ()
import GHC.Fingerprint.Type ()
import GHC.Float ()
import GHC.Float.ConversionUtils ()
import GHC.Float.RealFracMethods ()
import GHC.Foreign ()
import GHC.ForeignPtr ()
import GHC.GHCi ()
import GHC.Generics ()
import GHC.IO ()
import GHC.IO.Buffer ()
import GHC.IO.BufferedIO ()
import GHC.IO.Device ()
import GHC.IO.Encoding ()
import GHC.IO.Encoding.CodePage ()
import GHC.IO.Encoding.Failure ()
import GHC.IO.Encoding.Iconv ()
import GHC.IO.Encoding.Latin1 ()
import GHC.IO.Encoding.Types ()
import GHC.IO.Encoding.UTF16 ()
import GHC.IO.Encoding.UTF32 ()
import GHC.IO.Encoding.UTF8 ()
import GHC.IO.Exception ()
import GHC.IO.FD ()
import GHC.IO.Handle ()
import GHC.IO.Handle.FD ()
import GHC.IO.Handle.Internals ()
import GHC.IO.Handle.Text ()
import GHC.IO.Handle.Types ()
import GHC.IO.IOMode ()
import GHC.IOArray ()
import GHC.IORef ()
import GHC.IP ()
import GHC.Int ()
import GHC.List ()
import GHC.MVar ()
import GHC.Natural ()
import GHC.Num ()
import GHC.OldList ()
import GHC.PArr ()
import GHC.Pack ()
import GHC.Profiling ()
import GHC.Ptr ()
import GHC.Read ()
import GHC.Real ()
import GHC.RTS.Flags ()
import GHC.ST ()
import GHC.StaticPtr ()
import GHC.STRef ()
import GHC.Show ()
import GHC.SrcLoc ()
import GHC.Stable ()
import GHC.Stack ()
import GHC.Stats ()
import GHC.Storable ()
import GHC.TopHandler ()
import GHC.TypeLits ()
import GHC.Unicode ()
import GHC.Weak ()
import GHC.Word ()
import Numeric ()
import Numeric.Natural ()
import Prelude ()
import System.CPUTime ()
import System.Console.GetOpt ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import System.Timeout ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,8,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Strict ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.Zip ()
import Data.Bifunctor ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Coerce ()
import Data.Complex ()
import Data.Data ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.Functor.Identity ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Proxy ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Type.Bool ()
import Data.Type.Coercion ()
import Data.Type.Equality ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Void ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.Concurrent ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Unsafe ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import GHC.Arr ()
import GHC.Base ()
import GHC.Char ()
import GHC.Conc ()
import GHC.Conc.IO ()
import GHC.Conc.Signal ()
import GHC.Conc.Sync ()
import GHC.ConsoleHandler ()
import GHC.Constants ()
import GHC.Desugar ()
import GHC.Enum ()
import GHC.Environment ()
import GHC.Err ()
import GHC.Exception ()
import GHC.Exts ()
import GHC.Fingerprint ()
import GHC.Fingerprint.Type ()
import GHC.Float ()
import GHC.Float.ConversionUtils ()
import GHC.Float.RealFracMethods ()
import GHC.Foreign ()
import GHC.ForeignPtr ()
import GHC.GHCi ()
import GHC.Generics ()
import GHC.IO ()
import GHC.IO.Buffer ()
import GHC.IO.BufferedIO ()
import GHC.IO.Device ()
import GHC.IO.Encoding ()
import GHC.IO.Encoding.CodePage ()
import GHC.IO.Encoding.Failure ()
import GHC.IO.Encoding.Iconv ()
import GHC.IO.Encoding.Latin1 ()
import GHC.IO.Encoding.Types ()
import GHC.IO.Encoding.UTF16 ()
import GHC.IO.Encoding.UTF32 ()
import GHC.IO.Encoding.UTF8 ()
import GHC.IO.Exception ()
import GHC.IO.FD ()
import GHC.IO.Handle ()
import GHC.IO.Handle.FD ()
import GHC.IO.Handle.Internals ()
import GHC.IO.Handle.Text ()
import GHC.IO.Handle.Types ()
import GHC.IO.IOMode ()
import GHC.IOArray ()
import GHC.IORef ()
import GHC.IP ()
import GHC.Int ()
import GHC.List ()
import GHC.MVar ()
import GHC.Natural ()
import GHC.Num ()
import GHC.OldList ()
import GHC.PArr ()
import GHC.Pack ()
import GHC.Profiling ()
import GHC.Ptr ()
import GHC.Read ()
import GHC.Real ()
import GHC.RTS.Flags ()
import GHC.ST ()
import GHC.StaticPtr ()
import GHC.STRef ()
import GHC.Show ()
import GHC.Stable ()
import GHC.Stack ()
import GHC.Stats ()
import GHC.Storable ()
import GHC.TopHandler ()
import GHC.TypeLits ()
import GHC.Unicode ()
import GHC.Weak ()
import GHC.Word ()
import Numeric ()
import Numeric.Natural ()
import Prelude ()
import System.CPUTime ()
import System.Console.GetOpt ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import System.Timeout ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,7,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Strict ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.Zip ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Coerce ()
import Data.Complex ()
import Data.Data ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.OldTypeable ()
import Data.OldTypeable.Internal ()
import Data.Ord ()
import Data.Proxy ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Type.Bool ()
import Data.Type.Coercion ()
import Data.Type.Equality ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.Concurrent ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Unsafe ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import GHC.Arr ()
import GHC.Base ()
import GHC.Char ()
import GHC.Conc ()
import GHC.Conc.IO ()
import GHC.Conc.Signal ()
import GHC.Conc.Sync ()
import GHC.ConsoleHandler ()
import GHC.Constants ()
import GHC.Desugar ()
import GHC.Enum ()
import GHC.Environment ()
import GHC.Err ()
import GHC.Exception ()
import GHC.Exts ()
import GHC.Fingerprint ()
import GHC.Fingerprint.Type ()
import GHC.Float ()
import GHC.Float.ConversionUtils ()
import GHC.Float.RealFracMethods ()
import GHC.Foreign ()
import GHC.ForeignPtr ()
import GHC.GHCi ()
import GHC.Generics ()
import GHC.IO ()
import GHC.IO.Buffer ()
import GHC.IO.BufferedIO ()
import GHC.IO.Device ()
import GHC.IO.Encoding ()
import GHC.IO.Encoding.CodePage ()
import GHC.IO.Encoding.Failure ()
import GHC.IO.Encoding.Iconv ()
import GHC.IO.Encoding.Latin1 ()
import GHC.IO.Encoding.Types ()
import GHC.IO.Encoding.UTF16 ()
import GHC.IO.Encoding.UTF32 ()
import GHC.IO.Encoding.UTF8 ()
import GHC.IO.Exception ()
import GHC.IO.FD ()
import GHC.IO.Handle ()
import GHC.IO.Handle.FD ()
import GHC.IO.Handle.Internals ()
import GHC.IO.Handle.Text ()
import GHC.IO.Handle.Types ()
import GHC.IO.IOMode ()
import GHC.IOArray ()
import GHC.IORef ()
import GHC.IP ()
import GHC.Int ()
import GHC.List ()
import GHC.MVar ()
import GHC.Num ()
import GHC.PArr ()
import GHC.Pack ()
import GHC.Profiling ()
import GHC.Ptr ()
import GHC.Read ()
import GHC.Real ()
import GHC.ST ()
import GHC.STRef ()
import GHC.Show ()
import GHC.Stable ()
import GHC.Stack ()
import GHC.Stats ()
import GHC.Storable ()
import GHC.TopHandler ()
import GHC.TypeLits ()
import GHC.Unicode ()
import GHC.Weak ()
import GHC.Word ()
import Numeric ()
import Prelude ()
import System.CPUTime ()
import System.Console.GetOpt ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import System.Timeout ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,7,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Strict ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.Zip ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Coerce ()
import Data.Complex ()
import Data.Data ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.OldTypeable ()
import Data.OldTypeable.Internal ()
import Data.Ord ()
import Data.Proxy ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Type.Bool ()
import Data.Type.Coercion ()
import Data.Type.Equality ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.Concurrent ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Unsafe ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import GHC.Arr ()
import GHC.Base ()
import GHC.Char ()
import GHC.Conc ()
import GHC.Conc.IO ()
import GHC.Conc.Signal ()
import GHC.Conc.Sync ()
import GHC.ConsoleHandler ()
import GHC.Constants ()
import GHC.Desugar ()
import GHC.Enum ()
import GHC.Environment ()
import GHC.Err ()
import GHC.Exception ()
import GHC.Exts ()
import GHC.Fingerprint ()
import GHC.Fingerprint.Type ()
import GHC.Float ()
import GHC.Float.ConversionUtils ()
import GHC.Float.RealFracMethods ()
import GHC.Foreign ()
import GHC.ForeignPtr ()
import GHC.GHCi ()
import GHC.Generics ()
import GHC.IO ()
import GHC.IO.Buffer ()
import GHC.IO.BufferedIO ()
import GHC.IO.Device ()
import GHC.IO.Encoding ()
import GHC.IO.Encoding.CodePage ()
import GHC.IO.Encoding.Failure ()
import GHC.IO.Encoding.Iconv ()
import GHC.IO.Encoding.Latin1 ()
import GHC.IO.Encoding.Types ()
import GHC.IO.Encoding.UTF16 ()
import GHC.IO.Encoding.UTF32 ()
import GHC.IO.Encoding.UTF8 ()
import GHC.IO.Exception ()
import GHC.IO.FD ()
import GHC.IO.Handle ()
import GHC.IO.Handle.FD ()
import GHC.IO.Handle.Internals ()
import GHC.IO.Handle.Text ()
import GHC.IO.Handle.Types ()
import GHC.IO.IOMode ()
import GHC.IOArray ()
import GHC.IORef ()
import GHC.IP ()
import GHC.Int ()
import GHC.List ()
import GHC.MVar ()
import GHC.Num ()
import GHC.PArr ()
import GHC.Pack ()
import GHC.Profiling ()
import GHC.Ptr ()
import GHC.Read ()
import GHC.Real ()
import GHC.ST ()
import GHC.STRef ()
import GHC.Show ()
import GHC.Stable ()
import GHC.Stack ()
import GHC.Stats ()
import GHC.Storable ()
import GHC.TopHandler ()
import GHC.TypeLits ()
import GHC.Unicode ()
import GHC.Weak ()
import GHC.Word ()
import Numeric ()
import Prelude ()
import System.CPUTime ()
import System.Console.GetOpt ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import System.Timeout ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,7,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Strict ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.Zip ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Coerce ()
import Data.Complex ()
import Data.Data ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.OldTypeable ()
import Data.OldTypeable.Internal ()
import Data.Ord ()
import Data.Proxy ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Type.Bool ()
import Data.Type.Coercion ()
import Data.Type.Equality ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.Concurrent ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Unsafe ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import GHC.Arr ()
import GHC.Base ()
import GHC.Char ()
import GHC.Conc ()
import GHC.Conc.IO ()
import GHC.Conc.Signal ()
import GHC.Conc.Sync ()
import GHC.ConsoleHandler ()
import GHC.Constants ()
import GHC.Desugar ()
import GHC.Enum ()
import GHC.Environment ()
import GHC.Err ()
import GHC.Exception ()
import GHC.Exts ()
import GHC.Fingerprint ()
import GHC.Fingerprint.Type ()
import GHC.Float ()
import GHC.Float.ConversionUtils ()
import GHC.Float.RealFracMethods ()
import GHC.Foreign ()
import GHC.ForeignPtr ()
import GHC.GHCi ()
import GHC.Generics ()
import GHC.IO ()
import GHC.IO.Buffer ()
import GHC.IO.BufferedIO ()
import GHC.IO.Device ()
import GHC.IO.Encoding ()
import GHC.IO.Encoding.CodePage ()
import GHC.IO.Encoding.Failure ()
import GHC.IO.Encoding.Iconv ()
import GHC.IO.Encoding.Latin1 ()
import GHC.IO.Encoding.Types ()
import GHC.IO.Encoding.UTF16 ()
import GHC.IO.Encoding.UTF32 ()
import GHC.IO.Encoding.UTF8 ()
import GHC.IO.Exception ()
import GHC.IO.FD ()
import GHC.IO.Handle ()
import GHC.IO.Handle.FD ()
import GHC.IO.Handle.Internals ()
import GHC.IO.Handle.Text ()
import GHC.IO.Handle.Types ()
import GHC.IO.IOMode ()
import GHC.IOArray ()
import GHC.IORef ()
import GHC.IP ()
import GHC.Int ()
import GHC.List ()
import GHC.MVar ()
import GHC.Num ()
import GHC.PArr ()
import GHC.Pack ()
import GHC.Profiling ()
import GHC.Ptr ()
import GHC.Read ()
import GHC.Real ()
import GHC.ST ()
import GHC.STRef ()
import GHC.Show ()
import GHC.Stable ()
import GHC.Stack ()
import GHC.Stats ()
import GHC.Storable ()
import GHC.TopHandler ()
import GHC.TypeLits ()
import GHC.Unicode ()
import GHC.Weak ()
import GHC.Word ()
import Numeric ()
import Prelude ()
import System.CPUTime ()
import System.Console.GetOpt ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import System.Timeout ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,6,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Strict ()
import Control.Monad.Zip ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Utils ()
import Foreign.Marshal.Unsafe ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,6,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Strict ()
import Control.Monad.Zip ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Utils ()
import Foreign.Marshal.Unsafe ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,5,1)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Strict ()
import Control.Monad.Zip ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Utils ()
import Foreign.Marshal.Unsafe ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,5,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Strict ()
import Control.Monad.Zip ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Utils ()
import Foreign.Marshal.Unsafe ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,4,1)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Strict ()
import Control.Monad.Group ()
import Control.Monad.Zip ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Utils ()
import Foreign.Marshal.Unsafe ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,4,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Safe ()
import Control.Monad.ST.Unsafe ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Lazy.Safe ()
import Control.Monad.ST.Lazy.Unsafe ()
import Control.Monad.ST.Strict ()
import Control.Monad.Group ()
import Control.Monad.Zip ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Typeable.Internal ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.ForeignPtr.Safe ()
import Foreign.ForeignPtr.Unsafe ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Safe ()
import Foreign.Marshal.Utils ()
import Foreign.Marshal.Unsafe ()
import Foreign.Ptr ()
import Foreign.Safe ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,3,1)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Strict ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,3,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Strict ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,2,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Strict ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,2,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Strict ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,2,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Strict ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.Functor ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,1,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Strict ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(4,0,0)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Exception.Base ()
import Control.OldException ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Strict ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Data ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(3,0,3)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Strict ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#elif MIN_VERSION_base(3,0,3)
import Control.Applicative ()
import Control.Arrow ()
import Control.Category ()
import Control.Concurrent ()
import Control.Concurrent.Chan ()
import Control.Concurrent.MVar ()
import Control.Concurrent.QSem ()
import Control.Concurrent.QSemN ()
import Control.Concurrent.SampleVar ()
import Control.Exception ()
import Control.Monad ()
import Control.Monad.Fix ()
import Control.Monad.Instances ()
import Control.Monad.ST ()
import Control.Monad.ST.Lazy ()
import Control.Monad.ST.Strict ()
import Data.Bits ()
import Data.Bool ()
import Data.Char ()
import Data.Complex ()
import Data.Dynamic ()
import Data.Either ()
import Data.Eq ()
import Data.Fixed ()
import Data.Foldable ()
import Data.Function ()
import Data.HashTable ()
import Data.IORef ()
import Data.Int ()
import Data.Ix ()
import Data.List ()
import Data.Maybe ()
import Data.Monoid ()
import Data.Ord ()
import Data.Ratio ()
import Data.STRef ()
import Data.STRef.Lazy ()
import Data.STRef.Strict ()
import Data.String ()
import Data.Traversable ()
import Data.Tuple ()
import Data.Typeable ()
import Data.Unique ()
import Data.Version ()
import Data.Word ()
import Debug.Trace ()
import Foreign ()
import Foreign.C ()
import Foreign.C.Error ()
import Foreign.C.String ()
import Foreign.C.Types ()
import Foreign.ForeignPtr ()
import Foreign.Marshal ()
import Foreign.Marshal.Alloc ()
import Foreign.Marshal.Array ()
import Foreign.Marshal.Error ()
import Foreign.Marshal.Pool ()
import Foreign.Marshal.Utils ()
import Foreign.Ptr ()
import Foreign.StablePtr ()
import Foreign.Storable ()
import Numeric ()
import Prelude ()
import System.Console.GetOpt ()
import System.CPUTime ()
import System.Environment ()
import System.Exit ()
import System.IO ()
import System.IO.Error ()
import System.IO.Unsafe ()
import System.Info ()
import System.Mem ()
import System.Mem.StableName ()
import System.Mem.Weak ()
import System.Posix.Internals ()
import System.Posix.Types ()
import Text.ParserCombinators.ReadP ()
import Text.ParserCombinators.ReadPrec ()
import Text.Printf ()
import Text.Read ()
import Text.Read.Lex ()
import Text.Show ()
import Text.Show.Functions ()
import Unsafe.Coerce ()
#endif
#endif